org.apache.hadoop.yarn.api.records.impl.pb

## Class ContainerReportPBImpl

- java.lang.Object
- - org.apache.hadoop.yarn.api.records.ContainerReport
  - - org.apache.hadoop.yarn.api.records.impl.pb.ContainerReportPBImpl

-     public class ContainerReportPBImpl
      extends org.apache.hadoop.yarn.api.records.ContainerReport

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContainerReportPBImpl()`
    `ContainerReportPBImpl(org.apache.hadoop.yarn.proto.YarnProtos.ContainerReportProto proto)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object other)`
    `org.apache.hadoop.yarn.api.records.Resource` | `getAllocatedResource()`
    `org.apache.hadoop.yarn.api.records.NodeId` | `getAssignedNode()`
    `int` | `getContainerExitStatus()`
    `org.apache.hadoop.yarn.api.records.ContainerId` | `getContainerId()`
    `org.apache.hadoop.yarn.api.records.ContainerState` | `getContainerState()`
    `long` | `getCreationTime()`
    `String` | `getDiagnosticsInfo()`
    `org.apache.hadoop.yarn.api.records.ExecutionType` | `getExecutionType()`
    `long` | `getFinishTime()`
    `String` | `getLogUrl()`
    `String` | `getNodeHttpAddress()`
    `org.apache.hadoop.yarn.api.records.Priority` | `getPriority()`
    `org.apache.hadoop.yarn.proto.YarnProtos.ContainerReportProto` | `getProto()`
    `int` | `hashCode()`
    `void` | `setAllocatedResource(org.apache.hadoop.yarn.api.records.Resource resource)`
    `void` | `setAssignedNode(org.apache.hadoop.yarn.api.records.NodeId nodeId)`
    `void` | `setContainerExitStatus(int containerExitStatus)`
    `void` | `setContainerId(org.apache.hadoop.yarn.api.records.ContainerId containerId)`
    `void` | `setContainerState(org.apache.hadoop.yarn.api.records.ContainerState containerState)`
    `void` | `setCreationTime(long creationTime)`
    `void` | `setDiagnosticsInfo(String diagnosticsInfo)`
    `void` | `setExecutionType(org.apache.hadoop.yarn.api.records.ExecutionType executionType)`
    `void` | `setFinishTime(long finishTime)`
    `void` | `setLogUrl(String logUrl)`
    `void` | `setNodeHttpAddress(String nodeHttpAddress)`
    `void` | `setPriority(org.apache.hadoop.yarn.api.records.Priority priority)`
    `String` | `toString()`

    - ### Methods inherited from class org.apache.hadoop.yarn.api.records.ContainerReport

      `newInstance, newInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ContainerReportPBImpl

          public ContainerReportPBImpl()

    - #### ContainerReportPBImpl

          public ContainerReportPBImpl(org.apache.hadoop.yarn.proto.YarnProtos.ContainerReportProto proto)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getAllocatedResource

          public org.apache.hadoop.yarn.api.records.Resource getAllocatedResource()

      Specified by:
        `getAllocatedResource` in class `org.apache.hadoop.yarn.api.records.ContainerReport`

    - #### getAssignedNode

          public org.apache.hadoop.yarn.api.records.NodeId getAssignedNode()

      Specified by:
        `getAssignedNode` in class `org.apache.hadoop.yarn.api.records.ContainerReport`

    - #### getContainerId

          public org.apache.hadoop.yarn.api.records.ContainerId getContainerId()

      Specified by:
        `getContainerId` in class `org.apache.hadoop.yarn.api.records.ContainerReport`

    - #### getDiagnosticsInfo

          public String getDiagnosticsInfo()

      Specified by:
        `getDiagnosticsInfo` in class `org.apache.hadoop.yarn.api.records.ContainerReport`

    - #### getContainerState

          public org.apache.hadoop.yarn.api.records.ContainerState getContainerState()

      Specified by:
        `getContainerState` in class `org.apache.hadoop.yarn.api.records.ContainerReport`

    - #### getFinishTime

          public long getFinishTime()

      Specified by:
        `getFinishTime` in class `org.apache.hadoop.yarn.api.records.ContainerReport`

    - #### getLogUrl

          public String getLogUrl()

      Specified by:
        `getLogUrl` in class `org.apache.hadoop.yarn.api.records.ContainerReport`

    - #### getPriority

          public org.apache.hadoop.yarn.api.records.Priority getPriority()

      Specified by:
        `getPriority` in class `org.apache.hadoop.yarn.api.records.ContainerReport`

    - #### getCreationTime

          public long getCreationTime()

      Specified by:
        `getCreationTime` in class `org.apache.hadoop.yarn.api.records.ContainerReport`

    - #### setAllocatedResource

          public void setAllocatedResource(org.apache.hadoop.yarn.api.records.Resource resource)

      Specified by:
        `setAllocatedResource` in class `org.apache.hadoop.yarn.api.records.ContainerReport`

    - #### setAssignedNode

          public void setAssignedNode(org.apache.hadoop.yarn.api.records.NodeId nodeId)

      Specified by:
        `setAssignedNode` in class `org.apache.hadoop.yarn.api.records.ContainerReport`

    - #### setContainerId

          public void setContainerId(org.apache.hadoop.yarn.api.records.ContainerId containerId)

      Specified by:
        `setContainerId` in class `org.apache.hadoop.yarn.api.records.ContainerReport`

    - #### setDiagnosticsInfo

          public void setDiagnosticsInfo(String diagnosticsInfo)

      Specified by:
        `setDiagnosticsInfo` in class `org.apache.hadoop.yarn.api.records.ContainerReport`

    - #### setContainerState

          public void setContainerState(org.apache.hadoop.yarn.api.records.ContainerState containerState)

      Specified by:
        `setContainerState` in class `org.apache.hadoop.yarn.api.records.ContainerReport`

    - #### getContainerExitStatus

          public int getContainerExitStatus()

      Specified by:
        `getContainerExitStatus` in class `org.apache.hadoop.yarn.api.records.ContainerReport`

    - #### setContainerExitStatus

          public void setContainerExitStatus(int containerExitStatus)

      Specified by:
        `setContainerExitStatus` in class `org.apache.hadoop.yarn.api.records.ContainerReport`

    - #### setFinishTime

          public void setFinishTime(long finishTime)

      Specified by:
        `setFinishTime` in class `org.apache.hadoop.yarn.api.records.ContainerReport`

    - #### setLogUrl

          public void setLogUrl(String logUrl)

      Specified by:
        `setLogUrl` in class `org.apache.hadoop.yarn.api.records.ContainerReport`

    - #### setPriority

          public void setPriority(org.apache.hadoop.yarn.api.records.Priority priority)

      Specified by:
        `setPriority` in class `org.apache.hadoop.yarn.api.records.ContainerReport`

    - #### setCreationTime

          public void setCreationTime(long creationTime)

      Specified by:
        `setCreationTime` in class `org.apache.hadoop.yarn.api.records.ContainerReport`

    - #### getProto

          public org.apache.hadoop.yarn.proto.YarnProtos.ContainerReportProto getProto()

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object other)

      Overrides:
        `equals` in class `Object`

    - #### getNodeHttpAddress

          public String getNodeHttpAddress()

      Specified by:
        `getNodeHttpAddress` in class `org.apache.hadoop.yarn.api.records.ContainerReport`

    - #### setNodeHttpAddress

          public void setNodeHttpAddress(String nodeHttpAddress)

      Specified by:
        `setNodeHttpAddress` in class `org.apache.hadoop.yarn.api.records.ContainerReport`

    - #### getExecutionType

          public org.apache.hadoop.yarn.api.records.ExecutionType getExecutionType()

      Specified by:
        `getExecutionType` in class `org.apache.hadoop.yarn.api.records.ContainerReport`

    - #### setExecutionType

          public void setExecutionType(org.apache.hadoop.yarn.api.records.ExecutionType executionType)

      Specified by:
        `setExecutionType` in class `org.apache.hadoop.yarn.api.records.ContainerReport`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.